lp:ubuntu/maverick/gnome-python-extras

Created by James Westby on 2010-05-01 and last modified on 2010-07-02
Get this branch:
bzr branch lp:ubuntu/maverick/gnome-python-extras
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

48. By Chris Coulson on 2010-07-02

* Don't call gtk_moz_embed_push_startup when the gtkmozembed module is
  loaded. This is a bit hacky and we should rather fix the applications that
  don't work properly
  - update debian/patches/01_xul19.patch

47. By Robert Ancell on 2010-06-11

* Merge with Debian unstable, remaining Ubuntu changes:
* debian/control:
  - Build-depends on gnome-common
  - Bump build-depends on python-gnome2-dev
  - Add Vcs-Bzr URL.
  - Remove stray comma from python-gtkmozembed depends
* debian/rules:
  - Run autotools on build
* debian/patches/04_use_PYTHON-config_check.patch:
  - Use python-config.
* debian/patches/70_autotools.patch:
  - Dropped, autotools now run on build

46. By Micah Gersten on 2010-04-14

No source change rebuild to pick up xulrunner-1.9.2 for ia64 (LP: #562789)

45. By Micah Gersten on 2010-02-17

[ Micah Gersten ]
* debian/control:
  - Bump xulrunner depends and build-depends to xulrunner-1.9.2

[ Chris Coulson ]
* Automatically add correct xulrunner binary depends:
  - debian/rules: Call dh_xulrunner
  - debian/control: Don't specify explicit binary depends on
    xulrunner
* Ensure that the 1.9.2 GRE is loaded and also make sure that
  it works correctly by calling gtk_moz_embed_push_startup when
  the module is loaded
  - Update debian/patches/01_xul19.patch

44. By Martin Pitt on 2010-03-08

Drop python-gtkhtml2 package and libgtkhtml2-dev build dependency, so that
we can drop the obsolete gtkhtml2 from main.

43. By Chris Coulson on 2009-12-15

* Sync on Debian unstable.
* debian/control:
  - Add Vcs-Bzr URL.
  - Build-dep on python-all-dbg for debug packages,
    python-gnome2-dev (>= 2.22.3-0ubuntu3), xvfb and libgl1-mesa-dri.
  - Add python-gnome2-extras-dbg package.
  - Add explicit xulrunner-1.9.1 dependency on python-gtkmozembed,
    as there is no dh_xulrunner to populate this.
* debian/rules:
  - dbg-* targets and tricks.
  - Move dh_pysupport call and use xvfb.
  - Don't call dh_xulrunner, as this doesn't seem to exist in
    Ubuntu yet.
* Adapt python-gda.install, python-gtkhtml2.install,
  python-gtkspell.install, python-gtkmozembed.install,
  python-gdl.install, python-gksu2.install and
  python-eggtrayicon.install to python 2.6 new package layout.
* debian/patches/01_xul19.patch:
  - Add AC_PROG_CXX because you can't push C++ tests before detecting it.
* debian/patches/04_use_PYTHON-config_check.patch:
  - Use python-config.
* Regenerate debian/patches/70_autotools.patch.

42. By Chris Coulson on 2009-09-29

* Re-base on Debian unstable, remaining changes:
  - debian/control.in:
    + build-dep on python-all-dbg for debug packages
                   python-gnome2-dev (>= 2.22.3-0ubuntu3),
                   xvfb and libgl1-mesa-dri.
    + build-dep on xulrunner-1.9.1
    + bump libgdl-1-dev build-dep to >= 2.28.0
    + add python-gnome2-extras-dbg package
    + add Vcs-Bzr tag
    + Keep the python-gnome2-extras package around, as it is too
      late in the Karmic cycle to be removing it.
    + re-generate debian/control
  - adapt python-gda.install, python-gtkhtml2.install,
    python-gtkspell.install, python-gtkmozembed.install,
    python-gdl.install, python-gksu2.install and
    python-eggtrayicon.install to python 2.6 new package layout
  - debian/rules:
    + dbg-* targets and trick
    + move dh_pysupport call and use xvfb
  - debian/pyversions: 2.5 for new package layout
  - debian/patches/
    + 01_xul19.patch: add AC_PROG_CXX because you can't push C++ tests
      before detecting it (thanks Keybuk)
    + Re-generate debian/patches/70_autotools.patch
    + 04_use_PYTHON-config_check.patch: use python-config.
    + 05_fix_gdl_build.patch: ix to build with gdl in the archive, patch
      taken from http://bugzilla.gnome.org/show_bug.cgi?id=584126
* This enables the pygda module (LP: #406077)

41. By Daniel Holbach on 2009-09-28

debian/control.in: bump gdl requirements to 2.28.0.

40. By Alexander Sack on 2009-07-01

* xulrunner-1.9.1 by default transition
  + see: https://blueprints.launchpad.net/ubuntu/+spec/desktop-karmic-firefox-3.5
    - bump minimal xulrunner-dev version

39. By Andreas Moog on 2009-06-25

* debian/patches/05_fix_gdl_build.patch
  - fix to build with gdl in the archive, patch taken from
    http://bugzilla.gnome.org/show_bug.cgi?id=584126

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/natty/gnome-python-extras
This branch contains Public information 
Everyone can see this information.

Subscribers